/* Copyright (c) 2015 The Linux Foundation. All rights reserved.
 *
 * Copyright (c) 2023, Qualcomm Innovation Center, Inc. All rights reserved.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */
#ifndef __IPQ9574_RESET_H__
#define __IPQ9574_RESET_H__

#define GCC_SDCC1_BCR					0
#define GCC_UNIPHY0_SOFT_RESET				1
#define GCC_UNIPHY1_SOFT_RESET				2
#define GCC_UNIPHY2_SOFT_RESET				3
#define GCC_UNIPHY0_XPCS_RESET				4
#define GCC_UNIPHY1_XPCS_RESET				5
#define GCC_UNIPHY2_XPCS_RESET				6
#define NSS_CC_PPE_BTQ_RESET				7
#define NSS_CC_PPE_IPE_RESET				8
#define NSS_CC_PPE_RESET				9
#define NSS_CC_PPE_CFG_RESET				10
#define NSS_CC_PPE_EDMA_RESET				11
#define NSS_CC_PPE_EDMA_CFG_RESET			12
#define NSS_CC_UNIPHY_PORT1_RX_RESET			13
#define NSS_CC_UNIPHY_PORT1_TX_RESET			14
#define NSS_CC_UNIPHY_PORT2_RX_RESET			15
#define NSS_CC_UNIPHY_PORT2_TX_RESET			16
#define NSS_CC_UNIPHY_PORT3_RX_RESET			17
#define NSS_CC_UNIPHY_PORT3_TX_RESET			18
#define NSS_CC_UNIPHY_PORT4_RX_RESET			19
#define NSS_CC_UNIPHY_PORT4_TX_RESET			20
#define NSS_CC_UNIPHY_PORT5_RX_RESET			21
#define NSS_CC_UNIPHY_PORT5_TX_RESET			22
#define NSS_CC_UNIPHY_PORT6_RX_RESET			23
#define NSS_CC_UNIPHY_PORT6_TX_RESET			24
#define NSS_CC_PORT1_RX_RESET				25
#define NSS_CC_PORT1_TX_RESET				26
#define NSS_CC_PORT2_RX_RESET				27
#define NSS_CC_PORT2_TX_RESET				28
#define NSS_CC_PORT3_RX_RESET				29
#define NSS_CC_PORT3_TX_RESET				30
#define NSS_CC_PORT4_RX_RESET				31
#define NSS_CC_PORT4_TX_RESET				32
#define NSS_CC_PORT5_RX_RESET				33
#define NSS_CC_PORT5_TX_RESET				34
#define NSS_CC_PORT6_RX_RESET				35
#define NSS_CC_PORT6_TX_RESET				36
#define NSS_CC_PORT1_MAC_RESET				37
#define NSS_CC_PORT2_MAC_RESET				38
#define NSS_CC_PORT3_MAC_RESET				39
#define NSS_CC_PORT4_MAC_RESET				40
#define NSS_CC_PORT5_MAC_RESET				41
#define NSS_CC_PORT6_MAC_RESET				42
#define GCC_USB_BCR					43
#define GCC_QUSB2_0_PHY_BCR				44
#define GCC_USB0_PHY_BCR				45
#define GCC_USB3PHY_0_PHY_BCR				46
#endif
